import json
import os
from endpoint import Endpoint
import journal

CONFIG_DIR = "nodes/"


def start():
    configs = os.listdir(CONFIG_DIR)
    for config in configs:
        journal.log(f"Creating {CONFIG_DIR}{config}")
        with open(CONFIG_DIR + config, "r") as f:
            endpoint = Endpoint(json.load(f))
            endpoint.start()


if __name__ == '__main__':
    start()
